
	long double get_random();

	double exponential( double a, double b );

	double uniform( double xMin, double xMax );

	double intuniform( double xMin, double xMax );

	double lognormal( double a, double mu, double sigma );

	double normal( double mu, double sigma, int truncated );

	double kerlang(double k, double lambda);

	double hypoexponential(double k, double lambda[]);

	double hiperexponential(double probs[], double lambda[]);
	
	double bimodal( double mu, double sigma,  double mu2, double sigma2, int truncated);